> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeroclick.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List API keys

> Lists active API keys for the authenticated organization.



## OpenAPI

````yaml https://api.zeroclick.io/openapi.json get /v1/api-keys/
openapi: 3.0.0
info:
  title: ZeroClick API
  description: >-
    REST API for managing ZeroClick sellers, services, pricing, usage, and
    analytics. Authenticate with an API key from the ZeroClick dashboard.
  version: 1.0.0
servers:
  - url: https://api.zeroclick.io
security:
  - bearerAuth: []
tags:
  - name: API keys
  - name: Sellers
  - name: Services
  - name: Meters
  - name: Plans
  - name: Plan meter prices
  - name: Usage
  - name: Analytics
  - name: Stripe Connect
  - name: Sandbox
  - name: Organizations
  - name: Users
paths:
  /v1/api-keys/:
    get:
      tags:
        - API keys
      summary: List API keys
      description: Lists active API keys for the authenticated organization.
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  apiKeys:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        keyPrefix:
                          type: string
                        scopes:
                          minItems: 1
                          maxItems: 4
                          type: array
                          items:
                            type: string
                            enum:
                              - admin:read
                              - admin:write
                              - usage:read
                              - usage:write
                        createdAt:
                          type: string
                        lastUsedAt:
                          nullable: true
                          type: string
                      required:
                        - id
                        - name
                        - keyPrefix
                        - scopes
                        - createdAt
                        - lastUsedAt
                      additionalProperties: false
                required:
                  - apiKeys
                additionalProperties: false
        '403':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - organization_required
                      - organization_permission_required
                      - auth_type_not_allowed
                      - api_key_not_found
                required:
                  - error
                additionalProperties: false
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - organization_required
                      - organization_permission_required
                      - auth_type_not_allowed
                      - api_key_not_found
                required:
                  - error
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key created in the ZeroClick dashboard under Settings → API keys.
        Keys start with `zc_`. Send them as `Authorization: Bearer zc_...`.

````